Subject: bug#47357: 28.0.50; sql-list-tables: Executing SQL command... takes indefinite time after creation of new table

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 26 Jun 2022 20:32:38 +0200

Michael Mauger <[email-masked]> writes:

> The default prompt regexp for Postgres in sql.el is not correct and a
> fix will be made for Emacs 28 and master for that.
>
> I will also add a function to sql.el to verify the prompt as best I can
> to Emacs-28 so at least an error message or workaround can be provided.
>
> On master, I'll submit a similar change to comint.el to protect all
> Comint derived modes if they use the redirect logic and prevent the
> hanging behavior.
>
> I was aware of the bad prompt regexp but had forgotten to commit that
> change. I'll go ahead and do that now.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This was some months ago, and I had a look at the commit log for sql.el
now, but it doesn't look like this change was pushed?  (But I may be
looking for the wrong thing here.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no